### A free/open-source library for quantitative finance

Public Member Functions
MakeSwaption Class Reference

helper class More...

`#include <ql/instruments/makeswaption.hpp>`

List of all members.

## Public Member Functions

| MakeSwaption (const boost::shared_ptr< SwapIndex > &swapIndex, const Period &optionTenor, Rate strike=Null< Rate >())
| operator Swaption () const
| operator boost::shared_ptr< Swaption > () const
MakeSwaption & | withSettlementType (Settlement::Type delivery)
MakeSwaption & | withOptionConvention (BusinessDayConvention bdc)
MakeSwaption & | withExerciseDate (const Date &)
MakeSwaption & | withPricingEngine (const boost::shared_ptr< PricingEngine > &engine)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard market swaption.